<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Motion.Motion Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Motion</b></li><li class="navelem"><a class="el" href="classMotion_1_1Motion.html">Motion</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classMotion_1_1Motion-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Motion.Motion Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b14f16133a02be0bda8f603abbfac60"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#a5b14f16133a02be0bda8f603abbfac60">__init__</a> (self)</td></tr>
<tr class="separator:a5b14f16133a02be0bda8f603abbfac60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ebea6a49665a063330420fccee539b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#a40ebea6a49665a063330420fccee539b">spawn</a> (self)</td></tr>
<tr class="separator:a40ebea6a49665a063330420fccee539b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc8f921cc19dfb6de9b256be4420315"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#a6bc8f921cc19dfb6de9b256be4420315">nagel_right</a> (self)</td></tr>
<tr class="separator:a6bc8f921cc19dfb6de9b256be4420315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7667aec216f2492e82be98c1e9380d7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#ae7667aec216f2492e82be98c1e9380d7">nagel_left</a> (self)</td></tr>
<tr class="separator:ae7667aec216f2492e82be98c1e9380d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3812c4cd45e1ee03518952cfa2a25e23"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#a3812c4cd45e1ee03518952cfa2a25e23">nagel_up</a> (self)</td></tr>
<tr class="separator:a3812c4cd45e1ee03518952cfa2a25e23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add00522f5d42bee565ec1184128f740c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMotion_1_1Motion.html#add00522f5d42bee565ec1184128f740c">nagel_down</a> (self)</td></tr>
<tr class="separator:add00522f5d42bee565ec1184128f740c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6180028842e2893d83dd857f085234bf"><td class="memItemLeft" align="right" valign="top"><a id="a6180028842e2893d83dd857f085234bf" name="a6180028842e2893d83dd857f085234bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>rnd</b></td></tr>
<tr class="memdesc:a6180028842e2893d83dd857f085234bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rnd Class (Rnd.py) <br /></td></tr>
<tr class="separator:a6180028842e2893d83dd857f085234bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af896b4d92a9eedecac1d698e3849de1c"><td class="memItemLeft" align="right" valign="top"><a id="af896b4d92a9eedecac1d698e3849de1c" name="af896b4d92a9eedecac1d698e3849de1c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>cars</b></td></tr>
<tr class="memdesc:af896b4d92a9eedecac1d698e3849de1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of cars. <br /></td></tr>
<tr class="separator:af896b4d92a9eedecac1d698e3849de1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa452aa953be03fa4867fc1518f5f36aa"><td class="memItemLeft" align="right" valign="top"><a id="aa452aa953be03fa4867fc1518f5f36aa" name="aa452aa953be03fa4867fc1518f5f36aa"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>road</b></td></tr>
<tr class="memdesc:aa452aa953be03fa4867fc1518f5f36aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Road class (Road.py) <br /></td></tr>
<tr class="separator:aa452aa953be03fa4867fc1518f5f36aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c1ddac6008da8d87c3895bcb7240a0"><td class="memItemLeft" align="right" valign="top"><a id="a42c1ddac6008da8d87c3895bcb7240a0" name="a42c1ddac6008da8d87c3895bcb7240a0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>v_max</b></td></tr>
<tr class="memdesc:a42c1ddac6008da8d87c3895bcb7240a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Car max velocity. <br /></td></tr>
<tr class="separator:a42c1ddac6008da8d87c3895bcb7240a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11b5037372bae70441e7855543729f17"><td class="memItemLeft" align="right" valign="top"><a id="a11b5037372bae70441e7855543729f17" name="a11b5037372bae70441e7855543729f17"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>showup_chance</b></td></tr>
<tr class="memdesc:a11b5037372bae70441e7855543729f17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Car showup chance. <br /></td></tr>
<tr class="separator:a11b5037372bae70441e7855543729f17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab380574d83892d2937373421cde821e1"><td class="memItemLeft" align="right" valign="top"><a id="ab380574d83892d2937373421cde821e1" name="ab380574d83892d2937373421cde821e1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>slowdown_chance</b></td></tr>
<tr class="memdesc:ab380574d83892d2937373421cde821e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Car slowdown chance. <br /></td></tr>
<tr class="separator:ab380574d83892d2937373421cde821e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a035bd3357d6d195be0c7ab0f7c5d6da1"><td class="memItemLeft" align="right" valign="top"><a id="a035bd3357d6d195be0c7ab0f7c5d6da1" name="a035bd3357d6d195be0c7ab0f7c5d6da1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>speedup_chance</b></td></tr>
<tr class="memdesc:a035bd3357d6d195be0c7ab0f7c5d6da1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Car speedup chance. <br /></td></tr>
<tr class="separator:a035bd3357d6d195be0c7ab0f7c5d6da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139d52a534c71103169e3daa0772602d"><td class="memItemLeft" align="right" valign="top"><a id="a139d52a534c71103169e3daa0772602d" name="a139d52a534c71103169e3daa0772602d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>rulebreak_chance</b></td></tr>
<tr class="memdesc:a139d52a534c71103169e3daa0772602d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Car rule break chance. <br /></td></tr>
<tr class="separator:a139d52a534c71103169e3daa0772602d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Class is responsible for moving car in map.
Class contains all cars (List) and road
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5b14f16133a02be0bda8f603abbfac60" name="a5b14f16133a02be0bda8f603abbfac60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b14f16133a02be0bda8f603abbfac60">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor.
Initialise cars and road
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="add00522f5d42bee565ec1184128f740c" name="add00522f5d42bee565ec1184128f740c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add00522f5d42bee565ec1184128f740c">&#9670;&nbsp;</a></span>nagel_down()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.nagel_down </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Try to move cars to the down
@return Moved cars as array
</pre> 
</div>
</div>
<a id="ae7667aec216f2492e82be98c1e9380d7" name="ae7667aec216f2492e82be98c1e9380d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7667aec216f2492e82be98c1e9380d7">&#9670;&nbsp;</a></span>nagel_left()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.nagel_left </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Try to move cars to the left
@return Moved cars as array
</pre> 
</div>
</div>
<a id="a6bc8f921cc19dfb6de9b256be4420315" name="a6bc8f921cc19dfb6de9b256be4420315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bc8f921cc19dfb6de9b256be4420315">&#9670;&nbsp;</a></span>nagel_right()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.nagel_right </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Try to move cars to the right
@return Moved cars as array
</pre> 
</div>
</div>
<a id="a3812c4cd45e1ee03518952cfa2a25e23" name="a3812c4cd45e1ee03518952cfa2a25e23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3812c4cd45e1ee03518952cfa2a25e23">&#9670;&nbsp;</a></span>nagel_up()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.nagel_up </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Try to move cars to the up
@return Moved cars as array
</pre> 
</div>
</div>
<a id="a40ebea6a49665a063330420fccee539b" name="a40ebea6a49665a063330420fccee539b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40ebea6a49665a063330420fccee539b">&#9670;&nbsp;</a></span>spawn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Motion.Motion.spawn </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Spawn car in one of the free spawn points.
Ratio of spawning car depends on variable showup_chance
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Motion.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
